Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1047618 - Gwibber does not add accounts in XFCE
Summary: Gwibber does not add accounts in XFCE
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gwibber
Version: 19
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-01 05:53 UTC by Jesse Pendergrass
Modified: 2015-02-17 19:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 19:49:05 UTC
Type: Bug


Attachments (Terms of Use)

Description Jesse Pendergrass 2014-01-01 05:53:38 UTC
Hello, 

This problem still persists for me, despite this fix. 

Description of problem:
Running Gwibber in XFCE on Fedora 19, I am unable to add accounts.

This Traceback is listed:
Traceback (most recent call last):
  File "/bin/gwibber-accounts", line 99, in <module>
    from gwibber import accounts
  File "/usr/lib/python2.7/site-packages/gwibber/accounts.py", line 36, in <module>
    globals()[p] = __import__("%s.gtk.%s" % (p,p), fromlist='*')
  File "/usr/share/gwibber/plugins/foursquare/gtk/foursquare/__init__.py", line 1, in <module>
    from gi.repository import GLib, Gtk, Pango, WebKit
  File "/usr/lib64/python2.7/site-packages/gi/importer.py", line 68, in load_module
    dynamic_module._load()
  File "/usr/lib64/python2.7/site-packages/gi/module.py", line 289, in _load
    self._introspection_module = get_introspection_module(self._namespace)
  File "/usr/lib64/python2.7/site-packages/gi/module.py", line 268, in get_introspection_module
    module = IntrospectionModule(namespace, version)
  File "/usr/lib64/python2.7/site-packages/gi/module.py", line 117, in __init__
    repository.require(namespace, version)
gi.RepositoryError: Requiring namespace 'Gtk' version '2.0', but '3.0' is already loaded

Version-Release number of selected component (if applicable):
gwibber.x86_64 1:3.4.2-9.fc19

Steps to Reproduce:
1. Log into Xfce
2. Start gwibber from terminal
3. Try to add an account to gwibber

Actual results:
Gwibber does nothing while the backtrace is produced

Expected results:
Gwibber should allow me to start adding twitter and/or facebook accounts.

Additional Information: 
I have reviewed a previous bug report ( https://bugzilla.redhat.com/show_bug.cgi?id=1003254 ) and this appears to be a known issue that has been resolved, yet I am still having this problem. I am not sure if I'm just missing dependencies or if there is something else wrong with my system. Please advise.

Comment 1 Tom "spot" Callaway 2014-01-01 16:55:34 UTC
If memory serves, this was because libwnck3 was not installed. Can you confirm that it is installed on your system?

Comment 2 Jesse Pendergrass 2014-01-01 17:41:35 UTC
[root@prannondesk /root]# rpm -qa | grep libwnck3
libwnck3-3.4.5-1.fc19.x86_64
libwnck3-devel-3.4.5-1.fc19.i686
libwnck3-3.4.5-1.fc19.i686
libwnck3-devel-3.4.5-1.fc19.x86_64

[root@prannondesk /root]# rpm -qa | grep libwnck
libwnck-2.30.7-5.fc19.x86_64
libwnck-devel-2.30.7-5.fc19.x86_64
gnome-python2-libwnck-2.32.0-14.fc19.x86_64
libwnck3-3.4.5-1.fc19.x86_64
libwnck3-devel-3.4.5-1.fc19.i686
libwnck-devel-2.30.7-5.fc19.i686
libwnck3-3.4.5-1.fc19.i686
libwnck3-devel-3.4.5-1.fc19.x86_64
libwnck-2.30.7-5.fc19.i686

It does appear to be installed, including the development libraries and other packages for libwnck.

Comment 3 Tom "spot" Callaway 2014-01-02 19:54:36 UTC
Please try this directly:

$ python
Python 2.7.5 (default, Nov 12 2013, 16:45:54) 
[GCC 4.8.2 20131017 (Red Hat 4.8.2-1)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> from gi.repository import GLib, Gtk, Pango, WebKit

It should succeed, but I suspect that on your XFCE system, it will fail with 

gi.RepositoryError: Requiring namespace 'Gtk' version '2.0', but '3.0' is already loaded

Comment 4 Jesse Pendergrass 2014-01-03 05:49:13 UTC
Fail it did indeed! Please let me know if there is any additional information that I can provide that can help.

=======================================================

[root@prannondesk /root]# python
Python 2.7.5 (default, Nov 12 2013, 16:18:42) 
[GCC 4.8.2 20131017 (Red Hat 4.8.2-1)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> from gi.repository import GLib, Gtk, Pango, WebKit
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib64/python2.7/site-packages/gi/importer.py", line 68, in load_module
    dynamic_module._load()
  File "/usr/lib64/python2.7/site-packages/gi/module.py", line 289, in _load
    self._introspection_module = get_introspection_module(self._namespace)
  File "/usr/lib64/python2.7/site-packages/gi/module.py", line 268, in get_introspection_module
    module = IntrospectionModule(namespace, version)
  File "/usr/lib64/python2.7/site-packages/gi/module.py", line 117, in __init__
    repository.require(namespace, version)
gi.RepositoryError: Requiring namespace 'Gtk' version '2.0', but '3.0' is already loaded
>>>

Comment 5 Tom "spot" Callaway 2014-01-03 16:29:45 UTC
Okay, so now you need to try:

from gi.repository import GLib
from gi.repository import Gtk
from gi.repository import Pango
from gi.repository import WebKit

I'm guessing that it will fail on the WebKit import. 

If it does, see which of these packages are installed:

rpm -q webkitgtk libwebkit2gtk webkitgtk3

I'm guessing that you have webkitgtk and not webkitgtk3. If so, that's the bug, and I'll fix gwibber to be more strict about that dependency. (You can immediately work around it by doing: yum install webkitgtk3)

Comment 6 Jesse Pendergrass 2014-01-03 19:26:52 UTC
[root@prannondesk /root]# python
Python 2.7.5 (default, Nov 12 2013, 16:18:42) 
[GCC 4.8.2 20131017 (Red Hat 4.8.2-1)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> from gi.repository import GLib
>>> from gi.repository import Gtk
>>> from gi.repository import Pango
>>> from gi.repository import WebKit
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib64/python2.7/site-packages/gi/importer.py", line 68, in load_module
    dynamic_module._load()
  File "/usr/lib64/python2.7/site-packages/gi/module.py", line 289, in _load
    self._introspection_module = get_introspection_module(self._namespace)
  File "/usr/lib64/python2.7/site-packages/gi/module.py", line 268, in get_introspection_module
    module = IntrospectionModule(namespace, version)
  File "/usr/lib64/python2.7/site-packages/gi/module.py", line 117, in __init__
    repository.require(namespace, version)
gi.RepositoryError: Requiring namespace 'Gtk' version '2.0', but '3.0' is already loaded
>>> 
[root@prannondesk /root]# rpm -q webkitgtk libewebkit2gtk webkitgtk3
webkitgtk-2.0.4-1.fc19.x86_64
package libewebkit2gtk is not installed
package webkitgtk3 is not installed

=================================================

After installing webkitgtk3, gwibber started to work more normally. However, I now have a new problem that is preventing me from adding and authorizing accounts, so I will be starting a new bug report here >> https://bugzilla.redhat.com/show_bug.cgi?id=1048349

Comment 7 Fedora End Of Life 2015-01-09 20:59:01 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2015-02-17 19:49:05 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.